%namearray
% The simplest type of MATLAB program is a script. This is a set of
% instructions that are run in the command window. All variables are
% displayed and can be edited. Note it is often much better to 'hide' internal
% processes into a function.
%
% LAST UPDATED by Andy French April 2016

%Define your name
name = 'Andrew';

%Define dimensions of text array to create
rows = 10;
cols = 5;

%Repeat name. Notice how the size of the character array name increases with
%each loop. In most situations, this is much slower than working out the 
%size of the final array, and assigning elements accordingly.
R = ' ';
for n=1:cols
    R = [R,name];
end
A = [];
for n=1:rows
    A = [A;R];
end

%Display name to the command window
disp(' ')
disp([' A name array of ',num2str(rows),' rows x ',num2str(cols),' columns :'])
disp(' ')
disp(A)
disp(' ')

%End of code