%primecounter
% Script which generates a graph of the number of primes less than or equal
% to n, where n is an integer.
%
% LAST UPDATED by Andy French April 2016

%Define maximum value of n
nmax = 500;

%Define fontsize for graph
fsize = 18;

%

%Generate a vector of the primes less than or equal to nmax
p = primes(nmax);

%Plot graph of number of primes less than or equal to n
figure('name','primecounter','color',[1 1 1],'numbertitle','off')
x = p;
y = 1:length(p);
stairs(x,y);
xlabel('Integer n','fontsize',fsize)
ylabel('Number of primes \leq n','fontsize',fsize)
title('Number of primes \leq n','fontsize',fsize)
grid on;
set( gca,'fontsize',fsize )

%End of code